public final class JobStatistics2
extends com.google.api.client.json.GenericJson
This is the Java data model class that specifies how to parse/serialize into the JSON that is transmitted over HTTP when working with the BigQuery API. For a detailed explanation see: https://developers.google.com/api-client-library/java/google-http-java-client/json
| Modifier and Type | Class and Description |
|---|---|
static class |
JobStatistics2.ReservationUsage
Model definition for JobStatistics2ReservationUsage.
|
com.google.api.client.util.GenericData.FlagsAbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>| Constructor and Description |
|---|
JobStatistics2() |
| Modifier and Type | Method and Description |
|---|---|
JobStatistics2 |
clone() |
Integer |
getBillingTier()
[Output-only] Billing tier for the job.
|
Boolean |
getCacheHit()
[Output-only] Whether the query result was fetched from the query cache.
|
String |
getDdlOperationPerformed()
The DDL operation performed, possibly dependent on the pre-existence of the DDL target.
|
TableReference |
getDdlTargetTable()
The DDL target table.
|
Long |
getEstimatedBytesProcessed()
[Output-only] The original estimate of bytes processed for the job.
|
BigQueryModelTraining |
getModelTraining()
[Output-only, Beta] Information about create model query job progress.
|
Integer |
getModelTrainingCurrentIteration()
[Output-only, Beta] Deprecated; do not use.
|
Long |
getModelTrainingExpectedTotalIteration()
[Output-only, Beta] Deprecated; do not use.
|
Long |
getNumDmlAffectedRows()
[Output-only] The number of rows affected by a DML statement.
|
List<ExplainQueryStage> |
getQueryPlan()
[Output-only] Describes execution plan for the query.
|
List<TableReference> |
getReferencedTables()
[Output-only] Referenced tables for the job.
|
List<JobStatistics2.ReservationUsage> |
getReservationUsage()
[Output-only] Job resource usage breakdown by reservation.
|
TableSchema |
getSchema()
[Output-only] The schema of the results.
|
String |
getStatementType()
The type of query statement, if valid.
|
List<QueryTimelineSample> |
getTimeline()
[Output-only] [Beta] Describes a timeline of job execution.
|
Long |
getTotalBytesBilled()
[Output-only] Total bytes billed for the job.
|
Long |
getTotalBytesProcessed()
[Output-only] Total bytes processed for the job.
|
Long |
getTotalPartitionsProcessed()
[Output-only] Total number of partitions processed from all partitioned tables referenced in
the job.
|
Long |
getTotalSlotMs()
[Output-only] Slot-milliseconds for the job.
|
List<QueryParameter> |
getUndeclaredQueryParameters()
Standard SQL only: list of undeclared query parameters detected during a dry run validation.
|
JobStatistics2 |
set(String fieldName,
Object value) |
JobStatistics2 |
setBillingTier(Integer billingTier)
[Output-only] Billing tier for the job.
|
JobStatistics2 |
setCacheHit(Boolean cacheHit)
[Output-only] Whether the query result was fetched from the query cache.
|
JobStatistics2 |
setDdlOperationPerformed(String ddlOperationPerformed)
The DDL operation performed, possibly dependent on the pre-existence of the DDL target.
|
JobStatistics2 |
setDdlTargetTable(TableReference ddlTargetTable)
The DDL target table.
|
JobStatistics2 |
setEstimatedBytesProcessed(Long estimatedBytesProcessed)
[Output-only] The original estimate of bytes processed for the job.
|
JobStatistics2 |
setModelTraining(BigQueryModelTraining modelTraining)
[Output-only, Beta] Information about create model query job progress.
|
JobStatistics2 |
setModelTrainingCurrentIteration(Integer modelTrainingCurrentIteration)
[Output-only, Beta] Deprecated; do not use.
|
JobStatistics2 |
setModelTrainingExpectedTotalIteration(Long modelTrainingExpectedTotalIteration)
[Output-only, Beta] Deprecated; do not use.
|
JobStatistics2 |
setNumDmlAffectedRows(Long numDmlAffectedRows)
[Output-only] The number of rows affected by a DML statement.
|
JobStatistics2 |
setQueryPlan(List<ExplainQueryStage> queryPlan)
[Output-only] Describes execution plan for the query.
|
JobStatistics2 |
setReferencedTables(List<TableReference> referencedTables)
[Output-only] Referenced tables for the job.
|
JobStatistics2 |
setReservationUsage(List<JobStatistics2.ReservationUsage> reservationUsage)
[Output-only] Job resource usage breakdown by reservation.
|
JobStatistics2 |
setSchema(TableSchema schema)
[Output-only] The schema of the results.
|
JobStatistics2 |
setStatementType(String statementType)
The type of query statement, if valid.
|
JobStatistics2 |
setTimeline(List<QueryTimelineSample> timeline)
[Output-only] [Beta] Describes a timeline of job execution.
|
JobStatistics2 |
setTotalBytesBilled(Long totalBytesBilled)
[Output-only] Total bytes billed for the job.
|
JobStatistics2 |
setTotalBytesProcessed(Long totalBytesProcessed)
[Output-only] Total bytes processed for the job.
|
JobStatistics2 |
setTotalPartitionsProcessed(Long totalPartitionsProcessed)
[Output-only] Total number of partitions processed from all partitioned tables referenced in
the job.
|
JobStatistics2 |
setTotalSlotMs(Long totalSlotMs)
[Output-only] Slot-milliseconds for the job.
|
JobStatistics2 |
setUndeclaredQueryParameters(List<QueryParameter> undeclaredQueryParameters)
Standard SQL only: list of undeclared query parameters detected during a dry run validation.
|
getFactory, setFactory, toPrettyString, toStringentrySet, get, getClassInfo, getUnknownKeys, put, putAll, remove, setUnknownKeysclear, containsKey, containsValue, equals, hashCode, isEmpty, keySet, size, valuesfinalize, getClass, notify, notifyAll, wait, wait, waitcompute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAllpublic Integer getBillingTier()
null for nonepublic JobStatistics2 setBillingTier(Integer billingTier)
billingTier - billingTier or null for nonepublic Boolean getCacheHit()
null for nonepublic JobStatistics2 setCacheHit(Boolean cacheHit)
cacheHit - cacheHit or null for nonepublic String getDdlOperationPerformed()
null for nonepublic JobStatistics2 setDdlOperationPerformed(String ddlOperationPerformed)
ddlOperationPerformed - ddlOperationPerformed or null for nonepublic TableReference getDdlTargetTable()
null for nonepublic JobStatistics2 setDdlTargetTable(TableReference ddlTargetTable)
ddlTargetTable - ddlTargetTable or null for nonepublic Long getEstimatedBytesProcessed()
null for nonepublic JobStatistics2 setEstimatedBytesProcessed(Long estimatedBytesProcessed)
estimatedBytesProcessed - estimatedBytesProcessed or null for nonepublic BigQueryModelTraining getModelTraining()
null for nonepublic JobStatistics2 setModelTraining(BigQueryModelTraining modelTraining)
modelTraining - modelTraining or null for nonepublic Integer getModelTrainingCurrentIteration()
null for nonepublic JobStatistics2 setModelTrainingCurrentIteration(Integer modelTrainingCurrentIteration)
modelTrainingCurrentIteration - modelTrainingCurrentIteration or null for nonepublic Long getModelTrainingExpectedTotalIteration()
null for nonepublic JobStatistics2 setModelTrainingExpectedTotalIteration(Long modelTrainingExpectedTotalIteration)
modelTrainingExpectedTotalIteration - modelTrainingExpectedTotalIteration or null for nonepublic Long getNumDmlAffectedRows()
null for nonepublic JobStatistics2 setNumDmlAffectedRows(Long numDmlAffectedRows)
numDmlAffectedRows - numDmlAffectedRows or null for nonepublic List<ExplainQueryStage> getQueryPlan()
null for nonepublic JobStatistics2 setQueryPlan(List<ExplainQueryStage> queryPlan)
queryPlan - queryPlan or null for nonepublic List<TableReference> getReferencedTables()
null for nonepublic JobStatistics2 setReferencedTables(List<TableReference> referencedTables)
referencedTables - referencedTables or null for nonepublic List<JobStatistics2.ReservationUsage> getReservationUsage()
null for nonepublic JobStatistics2 setReservationUsage(List<JobStatistics2.ReservationUsage> reservationUsage)
reservationUsage - reservationUsage or null for nonepublic TableSchema getSchema()
null for nonepublic JobStatistics2 setSchema(TableSchema schema)
schema - schema or null for nonepublic String getStatementType()
null for nonepublic JobStatistics2 setStatementType(String statementType)
statementType - statementType or null for nonepublic List<QueryTimelineSample> getTimeline()
null for nonepublic JobStatistics2 setTimeline(List<QueryTimelineSample> timeline)
timeline - timeline or null for nonepublic Long getTotalBytesBilled()
null for nonepublic JobStatistics2 setTotalBytesBilled(Long totalBytesBilled)
totalBytesBilled - totalBytesBilled or null for nonepublic Long getTotalBytesProcessed()
null for nonepublic JobStatistics2 setTotalBytesProcessed(Long totalBytesProcessed)
totalBytesProcessed - totalBytesProcessed or null for nonepublic Long getTotalPartitionsProcessed()
null for nonepublic JobStatistics2 setTotalPartitionsProcessed(Long totalPartitionsProcessed)
totalPartitionsProcessed - totalPartitionsProcessed or null for nonepublic Long getTotalSlotMs()
null for nonepublic JobStatistics2 setTotalSlotMs(Long totalSlotMs)
totalSlotMs - totalSlotMs or null for nonepublic List<QueryParameter> getUndeclaredQueryParameters()
null for nonepublic JobStatistics2 setUndeclaredQueryParameters(List<QueryParameter> undeclaredQueryParameters)
undeclaredQueryParameters - undeclaredQueryParameters or null for nonepublic JobStatistics2 set(String fieldName, Object value)
set in class com.google.api.client.json.GenericJsonpublic JobStatistics2 clone()
clone in class com.google.api.client.json.GenericJsonCopyright © 2011–2018 Google. All rights reserved.